import { get,post } from './request';

interface IChartParams {
	UniqueCode: string | any;
}
interface IRefreshParams {
	UniqueCode: string;
}

/* 图表模块 */
export const ChartApi = {
	/**
	 * 获取图表详情
	 * @param params UniqueCode 
	 * @returns 
	 */
	getChart: (params:IChartParams) => {
		return get('/chart/common/detail',params);
	},
	
	/**
	 * 图表刷新
	 * @param params UniqueCode
	 * @returns 
	 */
	refreshChart: (params:IRefreshParams) => {
		return get('/chart/refresh',params)
	},

	/**
	 * 商品价格图表刷新
	 * @param params UniqueCode
	 * @returns 
	 */
	refreshCommordityChart: (params:IRefreshParams) => {
		return get('/chart/future_good/refresh',params)
	},

	/**
	 * 商品价格图表刷新
	 * @param params UniqueCode
	 * @returns 
	 */
	refreshRelevanceChart: (params:IRefreshParams) => {
		return get('/chart/correlation/refresh',params)
	},

	/**
 * 刷新图表
 * @param {*} params UniqueCode
 * @returns 
 */
	refreshCrossVarietyChart: (params:IRefreshParams) => {
		return get('/cross_variety/chart_info/refresh',params)
	},

	/**
	 * 图表取消收藏
	 */
	chartCollectCancel:params=>{
		return post('/chart/dw/collectCancel',params)
	},
	/**
	 * 图表收藏
	 */
	chartCollect:params=>{
		return post('/chart/dw/collect',params)
	}
}

/* 表格模块 */
interface IExcelParams {
	UniqueCode: string | any
	FromScene: number
}
interface IFreshParams {
	UniqueCode: string | any
}
export const SheetApi = {
	/**
	 * 获取表格详情
	 * @param params  UniqueCode
	 * @returns 
	 */
	getInfo: (params: IExcelParams) => {
		return get('/excel_info/detail',params);
	},
	refreshInfo:(params:IFreshParams) => {
		return get('excel_info/refresh',params)
	}
}