import { InjectionKey } from 'vue'
import { createStore, Store } from 'vuex';

interface IState {
  count: number;
}

export const key:InjectionKey<Store<IState>> = Symbol();

const store = createStore({
  state: {
    count: 0,
  },
  mutations: {
    add(state) {
      state.count++;
    },
  },
});

export default store;