import { Options } from 'highcharts';

export interface IUnknowObject {
  [key: string]: any;
}

export interface IChart extends Options {}

//曲线图的数据
export interface IDataItemProps extends IUnknowObject {
  DataTime: string;
  DataTimestamp: number;
  Value: number;
}

export interface IParams extends IUnknowObject {
  DataTimestamp: number ;
  Value: number;
}

//季节性数据
export interface ISeasonDataItemProps extends IUnknowObject {
  Year: number;
  DataList: IParams[],
  ChartLegend:string,
  Years:string,
}

//农历
export interface ILunarItem extends IUnknowObject {
  Items: IParams[];
  Year: number;
}

//农历数据结构
export interface ILunarParams extends IUnknowObject {
  List: ILunarItem[]
}

//图表的包含的指标数据列
export interface IDataProps extends IUnknowObject {
  ChartColor: string;
  ChartEdbMappingId: number
  ChartInfoId: number
  ChartStyle: string;
  ChartWidth: number
  DataList: Array<ISeasonDataItemProps | IParams>;
  EdbCode: string;
  EdbInfoId: number;
  EdbInfoType: number;
  EdbName: string;
  EndDate: string;
  Frequency: string;
  IsAxis: number;
  IsOrder: boolean;
  LeadUnit: string;
  LeadValue: number;
  MaxData: number;
  MinData: number;
  ModifyTime: string;
  Source: number;
  SourceName: string;
  StartDate: string;
  Unit: string;
}

//图表详情
export interface IChartinfo {
  Calendar: string;
  ChartClassifyId: number
  ChartImage: string;
  ChartInfoId: number
  ChartName: string;
  ChartType: number
  CreateTime: string;
  DateType: number
  EdbInfoIds: string;
  EndDate: string;
  IsSetName: number
  ModifyTime: string;
  SeasonEndDate: string;
  SeasonStartDate: string;
  StartDate: string;
  SysUserId: number;
  SysUserRealName: string;
  UniqueCode: string;
}


export interface IChartType {
  [key:number]: string;
}