export const browser = ():string => {
	// 取得浏览器的userAgent字符串
	var userAgent = navigator.userAgent
	// 判断是否Opera浏览器
	var isOpera = userAgent.indexOf('Opera') > -1
	// 判断是否IE浏览器
	var isIE =
		userAgent.indexOf('compatible') > -1 &&
		userAgent.indexOf('MSIE') > -1 &&
		!isOpera
	// 判断是否IE的Edge浏览器
	var isEdge = userAgent.indexOf('Edge') > -1
	// 判断是否Firefox浏览器
	var isFF = userAgent.indexOf('Firefox') > -1
	// 判断是否Safari浏览器
	var isSafari =
		userAgent.indexOf('Safari') > -1 && userAgent.indexOf('Chrome') === -1
	// 判断Chrome浏览器
	var isChrome =
		userAgent.indexOf('Chrome') > -1 && userAgent.indexOf('Safari') > -1

	if (isIE) {
		var reIE = new RegExp('MSIE (\\d+\\.\\d+);')
		reIE.test(userAgent)
		var fIEVersion = parseFloat(RegExp['$1'])
		if (fIEVersion === 7) {
			return 'IE7'
		} else if (fIEVersion === 8) {
			return 'IE8'
		} else if (fIEVersion === 9) {
			return 'IE9'
		} else if (fIEVersion === 10) {
			return 'IE10'
		} else if (fIEVersion === 11) {
			return 'IE11'
		} else {
			return 'IE'
		}
	}else if (isOpera) {
		return 'Opera'
	}else if (isEdge) {
		return 'Edge'
	}else if (isFF) {
		return 'FF'
	}else if (isSafari) {
		return 'Safari'
	}else if (isChrome) {
		return 'Chrome'
	}else {
		return ''
	}
}

// 判断设备
export const getTerminal = () => {
  // 获取终端的相关信息
  var Terminal = {
    // 辨别移动终端类型
    platform: function () {
      var u = navigator.userAgent,
        app = navigator.appVersion;
      return {
        // android终端或者uc浏览器
        android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1,
        // 是否为iPhone或者QQHD浏览器
        iPhone: u.indexOf('iPhone') > -1,
        // 是否iPad
        iPad: u.indexOf('iPad') > -1
      };
    }()
  }
  // 根据不同的终端，跳转到不同的地址
  if (Terminal.platform.android) {
    return 'android';
  } else if (Terminal.platform.iPhone || Terminal.platform.iPad) {
    return 'ios';
  }
}

//判断是否是手机设备
export function isMobile() {
		// 判断是否是移动设备的正则表达式
		const mobileRegex = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i;
	
		// 获取用户代理信息
		const userAgent = navigator.userAgent;
	
		// 使用正则表达式检查用户代理信息
		return mobileRegex.test(userAgent);
}