/*
 Highcharts JS v10.1.0 (2022-05-20)

 Boost module

 (c) 2010-2021 Highsoft AS
 Author: Torstein Honsi

 License: www.highcharts.com/license

*/
(function(b){"object"===typeof module&&module.exports?(b["default"]=b,module.exports=b):"function"===typeof define&&define.amd?define("highcharts/modules/boost",["highcharts"],function(t){b(t);b.Highcharts=t;return b}):b("undefined"!==typeof Highcharts?Highcharts:void 0)})(function(b){function t(b,y,A,m){b.hasOwnProperty(y)||(b[y]=m.apply(null,A),"function"===typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:y,module:b[y]}})))}b=b?b._modules:{};t(b,"Extensions/Boost/Boostables.js",
[],function(){return"area areaspline arearange column columnrange bar line scatter heatmap bubble treemap".split(" ")});t(b,"Extensions/Boost/BoostableMap.js",[b["Extensions/Boost/Boostables.js"]],function(b){var n={};b.forEach(function(b){n[b]=1});return n});t(b,"Extensions/Boost/WGLShader.js",[b["Core/Utilities.js"]],function(b){var n=b.clamp,A=b.error,m=b.pick;return function(d){function b(){c.length&&A("[highcharts boost] shader error - "+c.join("\n"))}function y(a,f){var k=d.createShader("vertex"===
f?d.VERTEX_SHADER:d.FRAGMENT_SHADER);d.shaderSource(k,a);d.compileShader(k);return d.getShaderParameter(k,d.COMPILE_STATUS)?k:(c.push("when compiling "+f+" shader:\n"+d.getShaderInfoLog(k)),!1)}function q(){function k(a){return d.getUniformLocation(h,a)}var p=y("#version 100\n#define LN10 2.302585092994046\nprecision highp float;\nattribute vec4 aVertexPosition;\nattribute vec4 aColor;\nvarying highp vec2 position;\nvarying highp vec4 vColor;\nuniform mat4 uPMatrix;\nuniform float pSize;\nuniform float translatedThreshold;\nuniform bool hasThreshold;\nuniform bool skipTranslation;\nuniform float xAxisTrans;\nuniform float xAxisMin;\nuniform float xAxisMinPad;\nuniform float xAxisPointRange;\nuniform float xAxisLen;\nuniform bool  xAxisPostTranslate;\nuniform float xAxisOrdinalSlope;\nuniform float xAxisOrdinalOffset;\nuniform float xAxisPos;\nuniform bool  xAxisCVSCoord;\nuniform bool  xAxisIsLog;\nuniform bool  xAxisReversed;\nuniform float yAxisTrans;\nuniform float yAxisMin;\nuniform float yAxisMinPad;\nuniform float yAxisPointRange;\nuniform float yAxisLen;\nuniform bool  yAxisPostTranslate;\nuniform float yAxisOrdinalSlope;\nuniform float yAxisOrdinalOffset;\nuniform float yAxisPos;\nuniform bool  yAxisCVSCoord;\nuniform bool  yAxisIsLog;\nuniform bool  yAxisReversed;\nuniform bool  isBubble;\nuniform bool  bubbleSizeByArea;\nuniform float bubbleZMin;\nuniform float bubbleZMax;\nuniform float bubbleZThreshold;\nuniform float bubbleMinSize;\nuniform float bubbleMaxSize;\nuniform bool  bubbleSizeAbs;\nuniform bool  isInverted;\nfloat bubbleRadius(){\nfloat value = aVertexPosition.w;\nfloat zMax = bubbleZMax;\nfloat zMin = bubbleZMin;\nfloat radius = 0.0;\nfloat pos = 0.0;\nfloat zRange = zMax - zMin;\nif (bubbleSizeAbs){\nvalue = value - bubbleZThreshold;\nzMax = max(zMax - bubbleZThreshold, zMin - bubbleZThreshold);\nzMin = 0.0;\n}\nif (value < zMin){\nradius = bubbleZMin / 2.0 - 1.0;\n} else {\npos = zRange > 0.0 ? (value - zMin) / zRange : 0.5;\nif (bubbleSizeByArea && pos > 0.0){\npos = sqrt(pos);\n}\nradius = ceil(bubbleMinSize + pos * (bubbleMaxSize - bubbleMinSize)) / 2.0;\n}\nreturn radius * 2.0;\n}\nfloat translate(float val,\nfloat pointPlacement,\nfloat localA,\nfloat localMin,\nfloat minPixelPadding,\nfloat pointRange,\nfloat len,\nbool  cvsCoord,\nbool  isLog,\nbool  reversed\n){\nfloat sign = 1.0;\nfloat cvsOffset = 0.0;\nif (cvsCoord) {\nsign *= -1.0;\ncvsOffset = len;\n}\nif (isLog) {\nval = log(val) / LN10;\n}\nif (reversed) {\nsign *= -1.0;\ncvsOffset -= sign * len;\n}\nreturn sign * (val - localMin) * localA + cvsOffset + \n(sign * minPixelPadding);\n}\nfloat xToPixels(float value) {\nif (skipTranslation){\nreturn value;// + xAxisPos;\n}\nreturn translate(value, 0.0, xAxisTrans, xAxisMin, xAxisMinPad, xAxisPointRange, xAxisLen, xAxisCVSCoord, xAxisIsLog, xAxisReversed);// + xAxisPos;\n}\nfloat yToPixels(float value, float checkTreshold) {\nfloat v;\nif (skipTranslation){\nv = value;// + yAxisPos;\n} else {\nv = translate(value, 0.0, yAxisTrans, yAxisMin, yAxisMinPad, yAxisPointRange, yAxisLen, yAxisCVSCoord, yAxisIsLog, yAxisReversed);// + yAxisPos;\nif (v > yAxisLen) {\nv = yAxisLen;\n}\n}\nif (checkTreshold > 0.0 && hasThreshold) {\nv = min(v, translatedThreshold);\n}\nreturn v;\n}\nvoid main(void) {\nif (isBubble){\ngl_PointSize = bubbleRadius();\n} else {\ngl_PointSize = pSize;\n}\nvColor = aColor;\nif (skipTranslation && isInverted) {\ngl_Position = uPMatrix * vec4(aVertexPosition.y + yAxisPos, aVertexPosition.x + xAxisPos, 0.0, 1.0);\n} else if (isInverted) {\ngl_Position = uPMatrix * vec4(yToPixels(aVertexPosition.y, aVertexPosition.z) + yAxisPos, xToPixels(aVertexPosition.x) + xAxisPos, 0.0, 1.0);\n} else {\ngl_Position = uPMatrix * vec4(xToPixels(aVertexPosition.x) + xAxisPos, yToPixels(aVertexPosition.y, aVertexPosition.z) + yAxisPos, 0.0, 1.0);\n}\n}",
"vertex"),l=y("precision highp float;\nuniform vec4 fillColor;\nvarying highp vec2 position;\nvarying highp vec4 vColor;\nuniform sampler2D uSampler;\nuniform bool isCircle;\nuniform bool hasColor;\nvoid main(void) {\nvec4 col = fillColor;\nvec4 tcol = texture2D(uSampler, gl_PointCoord.st);\nif (hasColor) {\ncol = vColor;\n}\nif (isCircle) {\ncol *= tcol;\nif (tcol.r < 0.0) {\ndiscard;\n} else {\ngl_FragColor = col;\n}\n} else {\ngl_FragColor = col;\n}\n}","fragment");if(!p||!l)return h=!1,b(),!1;
h=d.createProgram();d.attachShader(h,p);d.attachShader(h,l);d.linkProgram(h);if(!d.getProgramParameter(h,d.LINK_STATUS))return c.push(d.getProgramInfoLog(h)),b(),h=!1;d.useProgram(h);d.bindAttribLocation(h,0,"aVertexPosition");e=k("uPMatrix");r=k("pSize");w=k("fillColor");V=k("isBubble");G=k("bubbleSizeAbs");D=k("bubbleSizeByArea");W=k("uSampler");F=k("skipTranslation");a=k("isCircle");f=k("isInverted");return!0}function u(a,c){d&&h&&(a=x[a]=x[a]||d.getUniformLocation(h,a),d.uniform1f(a,c))}var x=
{},h,e,r,w,V,G,D,F,a,f,c=[],W;return d&&!q()?!1:{psUniform:function(){return r},pUniform:function(){return e},fillColorUniform:function(){return w},setBubbleUniforms:function(k,c,f,e){void 0===e&&(e=1);var l=k.options,g=Number.MAX_VALUE,b=-Number.MAX_VALUE;if(d&&h&&k.is("bubble")){var r=k.getPxExtremes();g=m(l.zMin,n(c,!1===l.displayNegative?l.zThreshold:-Number.MAX_VALUE,g));b=m(l.zMax,Math.max(b,f));d.uniform1i(V,1);d.uniform1i(a,1);d.uniform1i(D,"width"!==k.options.sizeBy);d.uniform1i(G,k.options.sizeByAbsoluteValue);
u("bubbleZMin",g);u("bubbleZMax",b);u("bubbleZThreshold",k.options.zThreshold);u("bubbleMinSize",r.minPxSize*e);u("bubbleMaxSize",r.maxPxSize*e)}},bind:function(){d&&h&&d.useProgram(h)},program:function(){return h},create:q,setUniform:u,setPMatrix:function(a){d&&h&&d.uniformMatrix4fv(e,!1,a)},setColor:function(a){d&&h&&d.uniform4f(w,a[0]/255,a[1]/255,a[2]/255,a[3])},setPointSize:function(a){d&&h&&d.uniform1f(r,a)},setSkipTranslation:function(a){d&&h&&d.uniform1i(F,!0===a?1:0)},setTexture:function(a){d&&
h&&d.uniform1i(W,a)},setDrawAsCircle:function(c){d&&h&&d.uniform1i(a,c?1:0)},reset:function(){d&&h&&(d.uniform1i(V,0),d.uniform1i(a,0))},setInverted:function(a){d&&h&&d.uniform1i(f,a)},destroy:function(){d&&h&&(d.deleteProgram(h),h=!1)}}}});t(b,"Extensions/Boost/WGLVBuffer.js",[],function(){return function(b,y,A){function m(){d&&(b.deleteBuffer(d),v=d=!1);u=0;n=A||2;x=[]}var d=!1,v=!1,n=A||2,q=!1,u=0,x;return{destroy:m,bind:function(){if(!d)return!1;b.vertexAttribPointer(v,n,b.FLOAT,!1,0,0)},data:x,
build:function(h,e,r){var w;x=h||[];if(!(x&&0!==x.length||q))return m(),!1;n=r||n;d&&b.deleteBuffer(d);q||(w=new Float32Array(x));d=b.createBuffer();b.bindBuffer(b.ARRAY_BUFFER,d);b.bufferData(b.ARRAY_BUFFER,q||w,b.STATIC_DRAW);v=b.getAttribLocation(y.program(),e);b.enableVertexAttribArray(v);return!0},render:function(h,e,r){var w=q?q.length:x.length;if(!d||!w)return!1;if(!h||h>w||0>h)h=0;if(!e||e>w)e=w;if(h>=e)return!1;b.drawArrays(b[(r||"points").toUpperCase()],h/n,(e-h)/n);return!0},allocate:function(b){u=
-1;q=new Float32Array(4*b)},push:function(b,e,d,w){q&&(q[++u]=b,q[++u]=e,q[++u]=d,q[++u]=w)}}}});t(b,"Extensions/Boost/WGLRenderer.js",[b["Core/Color/Color.js"],b["Extensions/Boost/WGLShader.js"],b["Extensions/Boost/WGLVBuffer.js"],b["Core/Globals.js"],b["Core/Utilities.js"]],function(b,y,A,m,d){var v=b.parse,n=m.doc,q=m.win,u=d.isNumber,x=d.isObject,h=d.merge,e=d.objectEach,r=d.pick;return function(d){function w(){return z.pixelRatio||q.devicePixelRatio||1}function G(a){if(a.isSeriesBoosting){var c=
!!a.options.stacking;var k=a.xData||a.options.xData||a.processedXData;c=(c?a.data:k||a.options.data).length;"treemap"===a.type?c*=12:"heatmap"===a.type?c*=6:fa[a.type]&&(c*=2);return c}return 0}function D(){g.clear(g.COLOR_BUFFER_BIT|g.DEPTH_BUFFER_BIT)}function F(a,c){function k(a){a&&(c.colorData.push(a[0]),c.colorData.push(a[1]),c.colorData.push(a[2]),c.colorData.push(a[3]))}function f(a,f,b,g,l){void 0===g&&(g=1);k(l);1===la||z.useGPUTranslations&&!c.skipTranslation||(a*=la,f*=la,g*=la);z.usePreallocated?
(Q.push(a,f,b?1:0,g),sa+=4):(M.push(a),M.push(f),M.push(b?la:0),M.push(g))}function b(){c.segments.length&&(c.segments[c.segments.length-1].to=M.length||sa)}function g(){c.segments.length&&c.segments[c.segments.length-1].from===(M.length||sa)||(b(),c.segments.push({from:M.length||sa}))}function l(a,c,b,g,l){k(l);f(a+b,c);k(l);f(a,c);k(l);f(a,c+g);k(l);f(a,c+g);k(l);f(a+b,c+g);k(l);f(a+b,c)}function e(a,k){z.useGPUTranslations||(c.skipTranslation=!0,a.x=y.toPixels(a.x,!0),a.y=D.toPixels(a.y,!0));k?
M=[a.x,a.y,0,2].concat(M):f(a.x,a.y,0,2)}var d=a.pointArrayMap&&"low,high"===a.pointArrayMap.join(","),r=a.chart,B=a.options,h=!!B.stacking,W=B.data,p=a.xAxis.getExtremes(),q=p.min,m=p.max;p=a.yAxis.getExtremes();var u=p.min,ba=p.max,n=a.xData||B.xData||a.processedXData,V=a.yData||B.yData||a.processedYData,G=a.zData||B.zData||a.processedZData,D=a.yAxis,y=a.xAxis,A=a.chart.plotWidth,t=!n||0===n.length,F=B.connectNulls;p=a.points||!1;var O=!1,L=!1,J,da,S=h?a.data:n||W,I={x:Number.MAX_VALUE,y:0},pa=
{x:-Number.MAX_VALUE,y:0},aa=0,U=!1,E,C,N,Ca,K=-1,ea=!1,P=!1,T,Sa="undefined"===typeof r.index,Da=!1,Ea=!1,H=!1,Qa=fa[a.type],Fa=!1,Ka=!0,La=!0,Ra=B.zoneAxis||"y",qa=B.zones||!1,R=!1,Ma=B.threshold,Ga=!1,la=w();if(!(B.boostData&&0<B.boostData.length)){B.gapSize&&(Ga="value"!==B.gapUnit?B.gapSize*a.closestPointRange:B.gapSize);if(qa){var ra=[];qa.forEach(function(a,c){if(a.color){var f=v(a.color).rgba;f[0]/=255;f[1]/=255;f[2]/=255;ra[c]=f;R||"undefined"!==typeof a.value||(R=f)}});R||(n=a.pointAttribs&&
a.pointAttribs().fill||a.color,R=v(n).rgba,R[0]/=255,R[1]/=255,R[2]/=255)}r.inverted&&(A=a.chart.plotHeight);a.closestPointRangePx=Number.MAX_VALUE;g();if(p&&0<p.length)c.skipTranslation=!0,c.drawMode="triangles",p[0].node&&p[0].node.levelDynamic&&p.sort(function(a,c){if(a.node){if(a.node.levelDynamic>c.node.levelDynamic)return 1;if(a.node.levelDynamic<c.node.levelDynamic)return-1}return 0}),p.forEach(function(c){var f=c.plotY;if("undefined"!==typeof f&&!isNaN(f)&&null!==c.y&&c.shapeArgs){var k=c.shapeArgs;
f=k.x;f=void 0===f?0:f;var b=k.y;b=void 0===b?0:b;var g=k.width;g=void 0===g?0:g;k=k.height;k=void 0===k?0:k;var e=r.styledMode?c.series.colorAttribs(c):e=c.series.pointAttribs(c);c=e["stroke-width"]||0;H=v(e.fill).rgba;H[0]/=255;H[1]/=255;H[2]/=255;a.is("treemap")&&(c=c||1,da=v(e.stroke).rgba,da[0]/=255,da[1]/=255,da[2]/=255,l(f,b,g,k,da),c/=2);a.is("heatmap")&&r.inverted&&(f=y.len-f,b=D.len-b,g=-g,k=-k);l(f+c,b+c,g-2*c,k-2*c,H)}});else{for(p=function(){N=S[++K];if("undefined"===typeof N)return"continue";
if(Sa)return"break";var k=W&&W[K];!t&&x(k,!0)&&k.color&&(H=v(k.color).rgba,H[0]/=255,H[1]/=255,H[2]/=255);t?(E=N[0],C=N[1],S[K+1]&&(P=S[K+1][0]),S[K-1]&&(ea=S[K-1][0]),3<=N.length&&(Ca=N[2],N[2]>c.zMax&&(c.zMax=N[2]),N[2]<c.zMin&&(c.zMin=N[2]))):(E=N,C=V[K],S[K+1]&&(P=S[K+1]),S[K-1]&&(ea=S[K-1]),G&&G.length&&(Ca=G[K],G[K]>c.zMax&&(c.zMax=G[K]),G[K]<c.zMin&&(c.zMin=G[K])));if(!F&&(null===E||null===C))return g(),"continue";P&&P>=q&&P<=m&&(Da=!0);ea&&ea>=q&&ea<=m&&(Ea=!0);d?(t&&(C=N.slice(1,3)),T=C[0],
C=C[1]):h&&(E=N.x,C=N.stackY,T=C-N.y);null!==u&&"undefined"!==typeof u&&null!==ba&&"undefined"!==typeof ba&&(Ka=C>=u&&C<=ba);E>m&&pa.x<m&&(pa.x=E,pa.y=C);E<q&&I.x>q&&(I.x=E,I.y=C);if(null===C&&F)return"continue";if(null===C||!Ka&&!Da&&!Ea)return g(),"continue";(P>=q||E>=q)&&(ea<=m||E<=m)&&(Fa=!0);if(!Fa&&!Da&&!Ea)return"continue";Ga&&E-ea>Ga&&g();if(qa){var b;qa.some(function(a,c){var f=qa[c-1];return"x"===Ra?"undefined"!==typeof a.value&&E<=a.value?(ra[c]&&(!f||E>=f.value)&&(b=ra[c]),!0):!1:"undefined"!==
typeof a.value&&C<=a.value?(ra[c]&&(!f||C>=f.value)&&(b=ra[c]),!0):!1});H=b||R||H}if(!z.useGPUTranslations&&(c.skipTranslation=!0,E=y.toPixels(E,!0),C=D.toPixels(C,!0),E>A&&"points"===c.drawMode))return"continue";c.hasMarkers&&Fa&&!1!==O&&(a.closestPointRangePx=Math.min(a.closestPointRangePx,Math.abs(E-O)));if(!z.useGPUTranslations&&!z.usePreallocated&&O&&1>Math.abs(E-O)&&L&&1>Math.abs(C-L))return z.debug.showSkipSummary&&++aa,"continue";if(Qa){J=T;if(!1===T||"undefined"===typeof T)J=0>C?C:0;d||h||
(J=Math.max(null===Ma?u:Ma,u));z.useGPUTranslations||(J=D.toPixels(J,!0));f(E,J,0,0,H)}B.step&&!La&&f(E,L,0,2,H);f(E,C,0,"bubble"===a.type?Ca||1:2,H);O=E;L=C;U=!0;La=!1};K<S.length-1&&"break"!==p(););z.debug.showSkipSummary&&console.log("skipped points:",aa);U||!1===F||"line_strip"!==a.drawMode||(I.x<Number.MAX_VALUE&&e(I,!0),pa.x>-Number.MAX_VALUE&&e(pa))}b()}}function a(){I=[];P.data=M=[];L=[];Q&&Q.destroy()}function f(a){if(l){var c=w();l.setUniform("xAxisTrans",a.transA*c);l.setUniform("xAxisMin",
a.min);l.setUniform("xAxisMinPad",a.minPixelPadding*c);l.setUniform("xAxisPointRange",a.pointRange);l.setUniform("xAxisLen",a.len*c);l.setUniform("xAxisPos",a.pos*c);l.setUniform("xAxisCVSCoord",!a.horiz);l.setUniform("xAxisIsLog",!!a.logarithmic);l.setUniform("xAxisReversed",!!a.reversed)}}function c(a){if(l){var c=w();l.setUniform("yAxisTrans",a.transA*c);l.setUniform("yAxisMin",a.min);l.setUniform("yAxisMinPad",a.minPixelPadding*c);l.setUniform("yAxisPointRange",a.pointRange);l.setUniform("yAxisLen",
a.len*c);l.setUniform("yAxisPos",a.pos*c);l.setUniform("yAxisCVSCoord",!a.horiz);l.setUniform("yAxisIsLog",!!a.logarithmic);l.setUniform("yAxisReversed",!!a.reversed)}}function W(a,c){l.setUniform("hasThreshold",a);l.setUniform("translatedThreshold",c)}function k(k){var e=w();if(k)O=k.chartWidth*e,t=k.chartHeight*e;else return!1;if(!(g&&O&&t&&l))return!1;z.debug.timeRendering&&console.time("gl rendering");g.canvas.width=O;g.canvas.height=t;l.bind();g.viewport(0,0,O,t);l.setPMatrix([2/O,0,0,0,0,-(2/
t),0,0,0,0,-2,0,-1,1,-1,1]);1<z.lineWidth&&!m.isMS&&g.lineWidth(z.lineWidth);Q.build(P.data,"aVertexPosition",4);Q.bind();l.setInverted(k.inverted);I.forEach(function(a,d){var p=a.series.options,h=p.marker;var w="undefined"!==typeof p.lineWidth?p.lineWidth:1;var B=p.threshold,q=u(B),m=a.series.yAxis.getThreshold(B);B=r(p.marker?p.marker.enabled:null,a.series.xAxis.isRadial?!0:null,a.series.closestPointRangePx>2*((p.marker?p.marker.radius:10)||10));h=aa[h&&h.symbol||a.series.symbol]||aa.circle;if(0!==
a.segments.length&&a.segments[0].from!==a.segments[0].to){h.isReady&&(g.bindTexture(g.TEXTURE_2D,h.handle),l.setTexture(h.handle));k.styledMode?h=a.series.markerGroup&&a.series.markerGroup.getStyle("fill"):(h="points"===a.drawMode&&a.series.pointAttribs&&a.series.pointAttribs().fill||a.series.color,p.colorByPoint&&(h=a.series.chart.options.colors[d]));a.series.fillOpacity&&p.fillOpacity&&(h=(new b(h)).setOpacity(r(p.fillOpacity,1)).get());h=v(h).rgba;z.useAlpha||(h[3]=1);"lines"===a.drawMode&&z.useAlpha&&
1>h[3]&&(h[3]/=10);"add"===p.boostBlending?(g.blendFunc(g.SRC_ALPHA,g.ONE),g.blendEquation(g.FUNC_ADD)):"mult"===p.boostBlending||"multiply"===p.boostBlending?g.blendFunc(g.DST_COLOR,g.ZERO):"darken"===p.boostBlending?(g.blendFunc(g.ONE,g.ONE),g.blendEquation(g.FUNC_MIN)):g.blendFuncSeparate(g.SRC_ALPHA,g.ONE_MINUS_SRC_ALPHA,g.ONE,g.ONE_MINUS_SRC_ALPHA);l.reset();0<a.colorData.length?(l.setUniform("hasColor",1),d=A(g,l),d.build(a.colorData,"aColor",4),d.bind()):g.disableVertexAttribArray(g.getAttribLocation(l.program(),
"aColor"));l.setColor(h);f(a.series.xAxis);c(a.series.yAxis);W(q,m);"points"===a.drawMode&&l.setPointSize(2*r(p.marker&&p.marker.radius,.5)*e);l.setSkipTranslation(a.skipTranslation);"bubble"===a.series.type&&l.setBubbleUniforms(a.series,a.zMin,a.zMax,e);l.setDrawAsCircle(T[a.series.type]||!1);if(0<w||"line_strip"!==a.drawMode)for(w=0;w<a.segments.length;w++)Q.render(a.segments[w].from,a.segments[w].to,a.drawMode);if(a.hasMarkers&&B)for(l.setPointSize(2*r(p.marker&&p.marker.radius,5)*e),l.setDrawAsCircle(!0),
w=0;w<a.segments.length;w++)Q.render(a.segments[w].from,a.segments[w].to,"POINTS")}});z.debug.timeRendering&&console.timeEnd("gl rendering");d&&d();a()}function p(a){D();if(a.renderer.forExport)return k(a);U?k(a):setTimeout(function(){p(a)},1)}var l=!1,Q=!1,sa=0,g=!1,O=0,t=0,M=!1,L=!1,P={},U=!1,I=[],aa={},fa={column:!0,columnrange:!0,bar:!0,area:!0,areaspline:!0,arearange:!0},T={scatter:!0,bubble:!0},z={pointSize:1,lineWidth:1,fillColor:"#AA00AA",useAlpha:!0,usePreallocated:!1,useGPUTranslations:!1,
debug:{timeRendering:!1,timeSeriesProcessing:!1,timeSetup:!1,timeBufferCopy:!1,timeKDTree:!1,showSkipSummary:!1}};return P={allocateBufferForSingleSeries:function(a){var c=0;z.usePreallocated&&(a.isSeriesBoosting&&(c=G(a)),Q.allocate(c))},pushSeries:function(a){0<I.length&&I[I.length-1].hasMarkers&&(I[I.length-1].markerTo=L.length);z.debug.timeSeriesProcessing&&console.time("building "+a.type+" series");var c={segments:[],markerFrom:L.length,colorData:[],series:a,zMin:Number.MAX_VALUE,zMax:-Number.MAX_VALUE,
hasMarkers:a.options.marker?!1!==a.options.marker.enabled:!1,showMarkers:!0,drawMode:{area:"lines",arearange:"lines",areaspline:"lines",column:"lines",columnrange:"lines",bar:"lines",line:"line_strip",scatter:"points",heatmap:"triangles",treemap:"triangles",bubble:"points"}[a.type]||"line_strip"};a.index>=I.length?I.push(c):I[a.index]=c;F(a,c);z.debug.timeSeriesProcessing&&console.timeEnd("building "+a.type+" series")},setSize:function(a,c){O===a&&t===c||!l||(O=a,t=c,l.bind(),l.setPMatrix([2/O,0,
0,0,0,-(2/t),0,0,0,0,-2,0,-1,1,-1,1]))},inited:function(){return U},setThreshold:W,init:function(c,f){function k(a,c){var k={isReady:!1,texture:n.createElement("canvas"),handle:g.createTexture()},f=k.texture.getContext("2d");aa[a]=k;k.texture.width=512;k.texture.height=512;f.mozImageSmoothingEnabled=!1;f.webkitImageSmoothingEnabled=!1;f.msImageSmoothingEnabled=!1;f.imageSmoothingEnabled=!1;f.strokeStyle="rgba(255, 255, 255, 0)";f.fillStyle="#FFF";c(f);try{g.activeTexture(g.TEXTURE0),g.bindTexture(g.TEXTURE_2D,
k.handle),g.texImage2D(g.TEXTURE_2D,0,g.RGBA,g.RGBA,g.UNSIGNED_BYTE,k.texture),g.texParameteri(g.TEXTURE_2D,g.TEXTURE_WRAP_S,g.CLAMP_TO_EDGE),g.texParameteri(g.TEXTURE_2D,g.TEXTURE_WRAP_T,g.CLAMP_TO_EDGE),g.texParameteri(g.TEXTURE_2D,g.TEXTURE_MAG_FILTER,g.LINEAR),g.texParameteri(g.TEXTURE_2D,g.TEXTURE_MIN_FILTER,g.LINEAR),g.bindTexture(g.TEXTURE_2D,null),k.isReady=!0}catch(ca){}}var b=0,e=["webgl","experimental-webgl","moz-webgl","webkit-3d"];U=!1;if(!c)return!1;for(z.debug.timeSetup&&console.time("gl setup");b<
e.length&&!(g=c.getContext(e[b],{}));b++);if(g)f||a();else return!1;g.enable(g.BLEND);g.blendFunc(g.SRC_ALPHA,g.ONE_MINUS_SRC_ALPHA);g.disable(g.DEPTH_TEST);g.depthFunc(g.LESS);l=y(g);if(!l)return!1;Q=A(g,l);k("circle",function(a){a.beginPath();a.arc(256,256,256,0,2*Math.PI);a.stroke();a.fill()});k("square",function(a){a.fillRect(0,0,512,512)});k("diamond",function(a){a.beginPath();a.moveTo(256,0);a.lineTo(512,256);a.lineTo(256,512);a.lineTo(0,256);a.lineTo(256,0);a.fill()});k("triangle",function(a){a.beginPath();
a.moveTo(0,512);a.lineTo(256,0);a.lineTo(512,512);a.lineTo(0,512);a.fill()});k("triangle-down",function(a){a.beginPath();a.moveTo(0,0);a.lineTo(256,512);a.lineTo(512,0);a.lineTo(0,0);a.fill()});U=!0;z.debug.timeSetup&&console.timeEnd("gl setup");return!0},render:p,settings:z,valid:function(){return!1!==g},clear:D,flush:a,setXAxis:f,setYAxis:c,data:M,gl:function(){return g},allocateBuffer:function(a){var c=0;z.usePreallocated&&(a.series.forEach(function(a){a.isSeriesBoosting&&(c+=G(a))}),Q.allocate(c))},
destroy:function(){a();Q.destroy();l.destroy();g&&(e(aa,function(a){a.handle&&g.deleteTexture(a.handle)}),g.canvas.width=1,g.canvas.height=1)},setOptions:function(a){"pixelRatio"in a||(a.pixelRatio=1);h(!0,z,a)}}}});t(b,"Extensions/Boost/BoostAttach.js",[b["Core/Chart/Chart.js"],b["Extensions/Boost/WGLRenderer.js"],b["Core/Globals.js"],b["Core/Utilities.js"]],function(b,y,t,m){var d=t.doc,v=m.error,n;return function(q,m){var x=q.chartWidth,h=q.chartHeight,e=q,r=q.seriesGroup||m.group,w=d.implementation.hasFeature("www.http://w3.org/TR/SVG11/feature#Extensibility",
"1.1");e=q.isChartSeriesBoosting()?q:m;w=!1;n||(n=d.createElement("canvas"));e.renderTarget||(e.canvas=n,q.renderer.forExport||!w?(e.renderTarget=q.renderer.image("",0,0,x,h).addClass("highcharts-boost-canvas").add(r),e.boostClear=function(){e.renderTarget.attr({href:""})},e.boostCopy=function(){e.boostResizeTarget();e.renderTarget.attr({href:e.canvas.toDataURL("image/png")})}):(e.renderTargetFo=q.renderer.createElement("foreignObject").add(r),e.renderTarget=d.createElement("canvas"),e.renderTargetCtx=
e.renderTarget.getContext("2d"),e.renderTargetFo.element.appendChild(e.renderTarget),e.boostClear=function(){e.renderTarget.width=e.canvas.width;e.renderTarget.height=e.canvas.height},e.boostCopy=function(){e.renderTarget.width=e.canvas.width;e.renderTarget.height=e.canvas.height;e.renderTargetCtx.drawImage(e.canvas,0,0)}),e.boostResizeTarget=function(){x=q.chartWidth;h=q.chartHeight;(e.renderTargetFo||e.renderTarget).attr({x:0,y:0,width:x,height:h}).css({pointerEvents:"none",mixedBlendMode:"normal",
opacity:1});e instanceof b&&e.markerGroup.translate(q.plotLeft,q.plotTop)},e.boostClipRect=q.renderer.clipRect(),(e.renderTargetFo||e.renderTarget).clip(e.boostClipRect),e instanceof b&&(e.markerGroup=e.renderer.g().add(r),e.markerGroup.translate(m.xAxis.pos,m.yAxis.pos)));e.canvas.width=x;e.canvas.height=h;e.boostClipRect.attr(q.getBoostClipRect(e));e.boostResizeTarget();e.boostClear();e.ogl||(e.ogl=y(function(){e.ogl.settings.debug.timeBufferCopy&&console.time("buffer copy");e.boostCopy();e.ogl.settings.debug.timeBufferCopy&&
console.timeEnd("buffer copy")}),e.ogl.init(e.canvas)||v("[highcharts boost] - unable to init WebGL renderer"),e.ogl.setOptions(q.options.boost||{}),e instanceof b&&e.ogl.allocateBuffer(q));e.ogl.setSize(x,h);return e.ogl}});t(b,"Extensions/Boost/BoostUtils.js",[b["Core/Globals.js"],b["Extensions/Boost/BoostableMap.js"],b["Extensions/Boost/BoostAttach.js"],b["Core/Utilities.js"]],function(b,y,t,m){function d(){for(var b=[],e=0;e<arguments.length;e++)b[e]=arguments[e];var d=-Number.MAX_VALUE;b.forEach(function(b){if("undefined"!==
typeof b&&null!==b&&"undefined"!==typeof b.length&&0<b.length)return d=b.length,!0});return d}function v(b,e,d){b&&e.renderTarget&&e.canvas&&!(d||e.chart).isChartSeriesBoosting()&&b.render(d||e.chart)}function n(b,e){b&&e.renderTarget&&e.canvas&&!e.chart.isChartSeriesBoosting()&&b.allocateBufferForSingleSeries(e)}function q(b,e,d,h,m,n){m=m||0;h=h||3E3;for(var a=m+h,f=!0;f&&m<a&&m<b.length;)f=e(b[m],m),++m;f&&(m<b.length?n?q(b,e,d,h,m,n):x.requestAnimationFrame?x.requestAnimationFrame(function(){q(b,
e,d,h,m)}):setTimeout(function(){q(b,e,d,h,m)}):d&&d())}function u(){var b=0,e,d=["webgl","experimental-webgl","moz-webgl","webkit-3d"],m=!1;if("undefined"!==typeof x.WebGLRenderingContext)for(e=h.createElement("canvas");b<d.length;b++)try{if(m=e.getContext(d[b]),"undefined"!==typeof m&&null!==m)return!0}catch(D){}return!1}var x=b.win,h=b.doc,e=m.pick;m={patientMax:d,boostEnabled:function(b){return e(b&&b.options&&b.options.boost&&b.options.boost.enabled,!0)},shouldForceChartSeriesBoosting:function(b){var h=
0,m=0,q=e(b.options.boost&&b.options.boost.allowForce,!0);if("undefined"!==typeof b.boostForceChartBoost)return b.boostForceChartBoost;if(1<b.series.length)for(var n=0;n<b.series.length;n++){var r=b.series[n];0!==r.options.boostThreshold&&!1!==r.visible&&"heatmap"!==r.type&&(y[r.type]&&++m,d(r.processedXData,r.options.data,r.points)>=(r.options.boostThreshold||Number.MAX_VALUE)&&++h)}b.boostForceChartBoost=q&&(m===b.series.length&&0<h||5<h);return b.boostForceChartBoost},renderIfNotSeriesBoosting:v,
allocateIfNotSeriesBoosting:n,eachAsync:q,hasWebGLSupport:u,pointDrawHandler:function(b){var e=!0;this.chart.options&&this.chart.options.boost&&(e="undefined"===typeof this.chart.options.boost.enabled?!0:this.chart.options.boost.enabled);if(!e||!this.isSeriesBoosting)return b.call(this);this.chart.isBoosting=!0;if(b=t(this.chart,this))n(b,this),b.pushSeries(this);v(b,this)}};b.hasWebGLSupport=u;return m});t(b,"Extensions/Boost/BoostInit.js",[b["Core/Chart/Chart.js"],b["Core/Globals.js"],b["Core/Series/Series.js"],
b["Core/Series/SeriesRegistry.js"],b["Core/Utilities.js"],b["Extensions/Boost/BoostUtils.js"],b["Extensions/Boost/BoostAttach.js"]],function(b,t,A,m,d,v,L){var q=t.noop,n=m.seriesTypes,x=d.addEvent,h=d.extend,e=d.fireEvent,r=d.wrap,w=v.eachAsync,y=v.pointDrawHandler,G=v.allocateIfNotSeriesBoosting,D=v.renderIfNotSeriesBoosting,F=v.shouldForceChartSeriesBoosting,a;return function(){h(A.prototype,{renderCanvas:function(){function c(a,c){var b=!1,f="undefined"===typeof h.index,k=!0;if("undefined"===
typeof a)return!0;if(!f){if(ma){var e=a[0];var d=a[1]}else e=a,d=r[c];ba?(ma&&(d=a.slice(1,3)),b=d[0],d=d[1]):ta&&(e=a.x,d=a.stackY,b=d-a.y);X||(k=d>=y&&d<=u);if(null!==d&&e>=v&&e<=t&&k)if(a=m.toPixels(e,!0),V){if("undefined"===typeof Y||a===F){ba||(b=d);if("undefined"===typeof ca||d>na)na=d,ca=c;if("undefined"===typeof Y||b<ha)ha=b,Y=c}oa&&a===F||("undefined"!==typeof Y&&(d=g.toPixels(na,!0),B=g.toPixels(ha,!0),ia(a,d,ca),B!==d&&ia(a,B,Y)),Y=ca=void 0,F=a)}else d=Math.ceil(g.toPixels(d,!0)),ia(a,
d,c)}return!f}function b(){e(f,"renderedCanvas");delete f.buildKDTree;f.buildKDTree();va.debug.timeKDTree&&console.timeEnd("kd tree building")}var f=this,d=f.options||{},l=!1,h=f.chart,m=this.xAxis,g=this.yAxis,n=d.xData||f.processedXData,r=d.yData||f.processedYData,x=d.data;l=m.getExtremes();var v=l.min,t=l.max;l=g.getExtremes();var y=l.min,u=l.max,A={},F,V=!!f.sampling,z=!1!==d.enableMouseTracking,B=g.getThreshold(d.threshold),ba=f.pointArrayMap&&"low,high"===f.pointArrayMap.join(","),ta=!!d.stacking,
ka=f.cropStart||0,X=f.requireSorting,ma=!n,ha,na,Y,ca,oa="x"===d.findNearestPointBy,ua=this.xData||this.options.xData||this.processedXData||!1,ia=function(c,b,f){c=Math.ceil(c);a=oa?c:c+","+b;z&&!A[a]&&(A[a]=!0,h.inverted&&(c=m.len-c,b=g.len-b),wa.push({x:ua?ua[ka+f]:!1,clientX:c,plotX:c,plotY:b,i:ka+f}))};l=L(h,f);h.isBoosting=!0;var va=l.settings;if(this.visible){(this.points||this.graph)&&this.destroyGraphics();h.isChartSeriesBoosting()?(this.markerGroup&&this.markerGroup!==h.markerGroup&&this.markerGroup.destroy(),
this.markerGroup=h.markerGroup,this.renderTarget&&(this.renderTarget=this.renderTarget.destroy())):(this.markerGroup===h.markerGroup&&(this.markerGroup=void 0),this.markerGroup=f.plotGroup("markerGroup","markers",!0,1,h.seriesGroup));var wa=this.points=[];f.buildKDTree=q;l&&(G(l,this),l.pushSeries(f),D(l,this,h));h.renderer.forExport||(va.debug.timeKDTree&&console.time("kd tree building"),w(ta?f.data:n||x,c,b))}}});["heatmap","treemap"].forEach(function(a){n[a]&&r(n[a].prototype,"drawPoints",y)});
if(n.bubble){var f=n.bubble.prototype;delete f.buildKDTree;r(f,"markerAttribs",function(a){return this.isSeriesBoosting?!1:a.apply(this,[].slice.call(arguments,1))})}n.scatter.prototype.fill=!0;h(n.area.prototype,{fill:!0,fillOpacity:!0,sampling:!0});h(n.areaspline.prototype,{fill:!0,fillOpacity:!0,sampling:!0});h(n.column.prototype,{fill:!0,sampling:!0});b.prototype.propsRequireUpdateSeries.push("boost");b.prototype.callbacks.push(function(a){x(a,"predraw",function(){a.boostForceChartBoost=void 0;
a.boostForceChartBoost=F(a);a.isBoosting=!1;!a.isChartSeriesBoosting()&&a.didBoost&&(a.didBoost=!1);a.boostClear&&a.boostClear();a.canvas&&a.ogl&&a.isChartSeriesBoosting()&&(a.didBoost=!0,a.ogl.allocateBuffer(a));a.markerGroup&&a.xAxis&&0<a.xAxis.length&&a.yAxis&&0<a.yAxis.length&&a.markerGroup.translate(a.xAxis[0].pos,a.yAxis[0].pos)});x(a,"render",function(){a.ogl&&a.isChartSeriesBoosting()&&a.ogl.render(a)});var b=-1,c=-1;x(a.pointer,"afterGetHoverData",function(){var f=a.hoverSeries;if(a.markerGroup&&
f){var k=a.inverted?f.yAxis:f.xAxis;f=a.inverted?f.xAxis:f.yAxis;if(k&&k.pos!==b||f&&f.pos!==c)a.markerGroup.translate(k.pos,f.pos),b=k.pos,c=f.pos}})})}});t(b,"Extensions/BoostCanvas.js",[b["Core/Chart/Chart.js"],b["Core/Color/Color.js"],b["Core/Globals.js"],b["Core/Series/Series.js"],b["Core/Series/SeriesRegistry.js"],b["Core/Utilities.js"]],function(b,t,A,m,d,v){var n=t.parse,q=A.doc,y=A.noop,x=d.seriesTypes,h=v.addEvent,e=v.extend,r=v.fireEvent,w=v.isNumber,V=v.merge,G=v.pick,D=v.wrap,F;return function(){A.seriesTypes.heatmap&&
D(A.seriesTypes.heatmap.prototype,"drawPoints",function(){var a=this.chart,b=this.getContext(),c=this.chart.inverted,e=this.xAxis,k=this.yAxis;b?(this.points.forEach(function(f){var d=f.plotY;if("undefined"!==typeof d&&!isNaN(d)&&null!==f.y&&b){var h=f.shapeArgs||{};d=h.x;d=void 0===d?0:d;var m=h.y;m=void 0===m?0:m;var g=h.width;g=void 0===g?0:g;h=h.height;h=void 0===h?0:h;f=a.styledMode?f.series.colorAttribs(f):f.series.pointAttribs(f);b.fillStyle=f.fill;c?b.fillRect(k.len-m+e.left,e.len-d+k.top,
-h,-g):b.fillRect(d+e.left,m+k.top,g,h)}}),this.canvasToSVG()):this.chart.showLoading("Your browser doesn't support HTML5 canvas, <br>please use a modern browser")});e(m.prototype,{getContext:function(){var a=this.chart,b=a.chartWidth,c=a.chartHeight,d=a.seriesGroup||this.group,k=this,e=function(a,b,c,f,d,k,e){a.call(this,c,b,f,d,k,e)};a.isChartSeriesBoosting()&&(k=a,d=a.seriesGroup);var h=k.ctx;k.canvas||(k.canvas=q.createElement("canvas"),k.renderTarget=a.renderer.image("",0,0,b,c).addClass("highcharts-boost-canvas").add(d),
k.ctx=h=k.canvas.getContext("2d"),a.inverted&&["moveTo","lineTo","rect","arc"].forEach(function(a){D(h,a,e)}),k.boostCopy=function(){k.renderTarget.attr({href:k.canvas.toDataURL("image/png")})},k.boostClear=function(){h.clearRect(0,0,k.canvas.width,k.canvas.height);k===this&&k.renderTarget.attr({href:""})},k.boostClipRect=a.renderer.clipRect(),k.renderTarget.clip(k.boostClipRect));k.canvas.width!==b&&(k.canvas.width=b);k.canvas.height!==c&&(k.canvas.height=c);k.renderTarget.attr({x:0,y:0,width:b,
height:c,style:"pointer-events: none",href:""});k.boostClipRect.attr(a.getBoostClipRect(k));return h},canvasToSVG:function(){this.chart.isChartSeriesBoosting()?this.boostClear&&this.boostClear():(this.boostCopy||this.chart.boostCopy)&&(this.boostCopy||this.chart.boostCopy)()},cvsLineTo:function(a,b,c){a.lineTo(b,c)},renderCanvas:function(){var a=this,b=a.options,c=a.chart,d=this.xAxis,k=this.yAxis,m=(c.options.boost||{}).timeRendering||!1,l=0,q=a.processedXData,x=a.processedYData,g=b.data,u=d.getExtremes(),
D=u.min,M=u.max;u=k.getExtremes();var L=u.min,P=u.max,U={},I,aa=!!a.sampling,fa=b.marker&&b.marker.radius,T=this.cvsDrawPoint,z=b.lineWidth?this.cvsLineTo:void 0,B=fa&&1>=fa?this.cvsMarkerSquare:this.cvsMarkerCircle,ba=this.cvsStrokeBatch||1E3,ta=!1!==b.enableMouseTracking,ka;u=b.threshold;var X=k.getThreshold(u),ma=w(u),ha=X,na=this.fill,Y=a.pointArrayMap&&"low,high"===a.pointArrayMap.join(","),ca=!!b.stacking,oa=a.cropStart||0;u=c.options.loading;var ua=a.requireSorting,ia,va=b.connectNulls,wa=
!q,ya,za,ja,xa,Aa,Z=ca?a.data:q||g,Na=a.fillOpacity?t.parse(a.color).setOpacity(G(b.fillOpacity,.75)).get():a.color,Ha=function(){na?(J.fillStyle=Na,J.fill()):(J.strokeStyle=a.color,J.lineWidth=b.lineWidth,J.stroke())},Ia=function(b,f,d,k){0===l&&(J.beginPath(),z&&(J.lineJoin="round"));c.scroller&&"highcharts-navigator-series"===a.options.className?(f+=c.scroller.top,d&&(d+=c.scroller.top)):f+=c.plotTop;b+=c.plotLeft;ia?J.moveTo(b,f):T?T(J,b,f,d,ka):z?z(J,b,f):B&&B.call(a,J,b,f,fa,k);l+=1;l===ba&&
(Ha(),l=0);ka={clientX:b,plotY:f,yBottom:d}},Oa="x"===b.findNearestPointBy,Ja=this.xData||this.options.xData||this.processedXData||!1,Ba=function(a,b,f){Aa=Oa?a:a+","+b;ta&&!U[Aa]&&(U[Aa]=!0,c.inverted&&(a=d.len-a,b=k.len-b),Pa.push({x:Ja?Ja[oa+f]:!1,clientX:a,plotX:a,plotY:b,i:oa+f}))};this.renderTarget&&this.renderTarget.attr({href:""});(this.points||this.graph)&&this.destroyGraphics();a.plotGroup("group","series",a.visible?"visible":"hidden",b.zIndex,c.seriesGroup);a.markerGroup=a.group;h(a,"destroy",
function(){a.markerGroup=null});var Pa=this.points=[];var J=this.getContext();a.buildKDTree=y;this.boostClear&&this.boostClear();this.visible&&(99999<g.length&&(c.options.loading=V(u,{labelStyle:{backgroundColor:n("#ffffff").setOpacity(.75).get(),padding:"1em",borderRadius:"0.5em"},style:{backgroundColor:"none",opacity:1}}),v.clearTimeout(F),c.showLoading("Drawing..."),c.options.loading=u),m&&console.time("canvas rendering"),A.eachAsync(Z,function(b,f){var e=!1,h=!1,g=!1,l=!1,m="undefined"===typeof c.index,
q=!0;if(!m){if(wa){var n=b[0];var p=b[1];Z[f+1]&&(g=Z[f+1][0]);Z[f-1]&&(l=Z[f-1][0])}else n=b,p=x[f],Z[f+1]&&(g=Z[f+1]),Z[f-1]&&(l=Z[f-1]);g&&g>=D&&g<=M&&(e=!0);l&&l>=D&&l<=M&&(h=!0);if(Y){wa&&(p=b.slice(1,3));var r=p[0];p=p[1]}else ca&&(n=b.x,p=b.stackY,r=p-b.y);b=null===p;ua||(q=p>=L&&p<=P);if(!b&&(n>=D&&n<=M&&q||e||h))if(n=Math.round(d.toPixels(n,!0)),aa){if("undefined"===typeof ja||n===I){Y||(r=p);if("undefined"===typeof xa||p>za)za=p,xa=f;if("undefined"===typeof ja||r<ya)ya=r,ja=f}n!==I&&("undefined"!==
typeof ja&&(p=k.toPixels(za,!0),X=k.toPixels(ya,!0),Ia(n,ma?Math.min(p,ha):p,ma?Math.max(X,ha):X,f),Ba(n,p,xa),X!==p&&Ba(n,X,ja)),ja=xa=void 0,I=n)}else p=Math.round(k.toPixels(p,!0)),Ia(n,p,X,f),Ba(n,p,f);ia=b&&!va;0===f%5E4&&(a.boostCopy||a.chart.boostCopy)&&(a.boostCopy||a.chart.boostCopy)()}return!m},function(){var b=c.loadingDiv,f=c.loadingShown;Ha();a.canvasToSVG();m&&console.timeEnd("canvas rendering");r(a,"renderedCanvas");f&&(e(b.style,{transition:"opacity 250ms",opacity:0}),c.loadingShown=
!1,F=setTimeout(function(){b.parentNode&&b.parentNode.removeChild(b);c.loadingDiv=c.loadingSpan=null},250));delete a.buildKDTree;a.buildKDTree()},c.renderer.forExport?Number.MAX_VALUE:void 0))}});x.scatter.prototype.cvsMarkerCircle=function(a,b,c,d){a.moveTo(b,c);a.arc(b,c,d,0,2*Math.PI,!1)};x.scatter.prototype.cvsMarkerSquare=function(a,b,c,d){a.rect(b-d,c-d,2*d,2*d)};x.scatter.prototype.fill=!0;x.bubble&&(x.bubble.prototype.cvsMarkerCircle=function(a,b,c,d,e){a.moveTo(b,c);a.arc(b,c,this.radii&&
this.radii[e],0,2*Math.PI,!1)},x.bubble.prototype.cvsStrokeBatch=1);e(x.area.prototype,{cvsDrawPoint:function(a,b,c,d,e){e&&b!==e.clientX&&(a.moveTo(e.clientX,e.yBottom),a.lineTo(e.clientX,e.plotY),a.lineTo(b,c),a.lineTo(b,d))},fill:!0,fillOpacity:!0,sampling:!0});e(x.column.prototype,{cvsDrawPoint:function(a,b,c,d){a.rect(b-1,c,1,d-c)},fill:!0,sampling:!0});b.prototype.callbacks.push(function(a){h(a,"predraw",function(){a.renderTarget&&a.renderTarget.attr({href:""});a.canvas&&a.canvas.getContext("2d").clearRect(0,
0,a.canvas.width,a.canvas.height)});h(a,"render",function(){a.boostCopy&&a.boostCopy()})})}});t(b,"Extensions/Boost/BoostOverrides.js",[b["Core/Chart/Chart.js"],b["Core/DefaultOptions.js"],b["Core/Series/Point.js"],b["Core/Series/Series.js"],b["Core/Series/SeriesRegistry.js"],b["Core/Utilities.js"],b["Extensions/Boost/BoostUtils.js"],b["Extensions/Boost/Boostables.js"],b["Extensions/Boost/BoostableMap.js"]],function(b,t,A,m,d,v,L,q,u){t=t.getOptions;var n=d.seriesTypes;d=v.addEvent;var h=v.error,
e=v.isArray,r=v.isNumber,w=v.pick,y=v.wrap,G=L.boostEnabled,D=L.shouldForceChartSeriesBoosting,F=t().plotOptions;b.prototype.isChartSeriesBoosting=function(){return w(this.options.boost&&this.options.boost.seriesThreshold,50)<=this.series.length||D(this)};b.prototype.getBoostClipRect=function(a){var b={x:this.plotLeft,y:this.plotTop,width:this.plotWidth,height:this.plotHeight};a===this&&(a=this.inverted?this.xAxis:this.yAxis,1>=a.length?(b.y=Math.min(a[0].pos,b.y),b.height=a[0].pos-this.plotTop+a[0].len):
b.height=this.plotHeight);return b};m.prototype.getPoint=function(a){var b=a,c=this.xData||this.options.xData||this.processedXData||!1;!a||a instanceof this.pointClass||(b=(new this.pointClass).init(this,this.options.data[a.i],c?c[a.i]:void 0),b.category=w(this.xAxis.categories?this.xAxis.categories[b.x]:b.x,b.x),b.dist=a.dist,b.distX=a.distX,b.plotX=a.plotX,b.plotY=a.plotY,b.index=a.i,b.isInside=this.isPointInside(a));return b};y(m.prototype,"searchPoint",function(a){return this.getPoint(a.apply(this,
[].slice.call(arguments,1)))});y(A.prototype,"haloPath",function(a){var b=this.series,c=this.plotX,d=this.plotY,e=b.chart.inverted;b.isSeriesBoosting&&e&&(this.plotX=b.yAxis.len-d,this.plotY=b.xAxis.len-c);var h=a.apply(this,Array.prototype.slice.call(arguments,1));b.isSeriesBoosting&&e&&(this.plotX=c,this.plotY=d);return h});y(m.prototype,"markerAttribs",function(a,b){var c=b.plotX,d=b.plotY,e=this.chart.inverted;this.isSeriesBoosting&&e&&(b.plotX=this.yAxis.len-d,b.plotY=this.xAxis.len-c);var f=
a.apply(this,Array.prototype.slice.call(arguments,1));this.isSeriesBoosting&&e&&(b.plotX=c,b.plotY=d);return f});d(m,"destroy",function(){var a=this,b=a.chart;b.markerGroup===a.markerGroup&&(a.markerGroup=null);b.hoverPoints&&(b.hoverPoints=b.hoverPoints.filter(function(b){return b.series===a}));b.hoverPoint&&b.hoverPoint.series===a&&(b.hoverPoint=null)});y(m.prototype,"getExtremes",function(a){return this.isSeriesBoosting&&this.hasExtremes&&this.hasExtremes()?{}:a.apply(this,Array.prototype.slice.call(arguments,
1))});["translate","generatePoints","drawTracker","drawPoints","render"].forEach(function(a){function b(b){var c=this.options.stacking&&("translate"===a||"generatePoints"===a);if(!this.isSeriesBoosting||c||!G(this.chart)||"heatmap"===this.type||"treemap"===this.type||!u[this.type]||0===this.options.boostThreshold)b.call(this);else if(this[a+"Canvas"])this[a+"Canvas"]()}y(m.prototype,a,b);"translate"===a&&"column bar arearange columnrange heatmap treemap".split(" ").forEach(function(c){n[c]&&y(n[c].prototype,
a,b)})});y(m.prototype,"processData",function(a){function b(a){return c.forceCrop?!1:c.chart.isChartSeriesBoosting()||(a?a.length:0)>=(c.options.boostThreshold||Number.MAX_VALUE)}var c=this,d=this.options.data;G(this.chart)&&u[this.type]?(b(d)&&"heatmap"!==this.type&&"treemap"!==this.type&&!this.options.stacking&&this.hasExtremes&&this.hasExtremes(!0)||(a.apply(this,Array.prototype.slice.call(arguments,1)),d=this.processedXData),(this.isSeriesBoosting=b(d))?(d=void 0,this.options.data&&this.options.data.length&&
(d=this.getFirstValidPoint(this.options.data),r(d)||e(d)||h(12,!1,this.chart)),this.enterBoost()):this.exitBoost&&this.exitBoost()):a.apply(this,Array.prototype.slice.call(arguments,1))});d(m,"hide",function(){this.canvas&&this.renderTarget&&(this.ogl&&this.ogl.clear(),this.boostClear())});m.prototype.enterBoost=function(){this.alteredByBoost=[];["allowDG","directTouch","stickyTracking"].forEach(function(a){this.alteredByBoost.push({prop:a,val:this[a],own:Object.hasOwnProperty.call(this,a)})},this);
this.directTouch=this.allowDG=!1;this.finishedAnimating=this.stickyTracking=!0;this.labelBySeries&&(this.labelBySeries=this.labelBySeries.destroy())};m.prototype.exitBoost=function(){(this.alteredByBoost||[]).forEach(function(a){a.own?this[a.prop]=a.val:delete this[a.prop]},this);this.boostClear&&this.boostClear()};m.prototype.hasExtremes=function(a){var b=this.options,c=this.xAxis&&this.xAxis.options,d=this.yAxis&&this.yAxis.options,e=this.colorAxis&&this.colorAxis.options;return b.data.length>(b.boostThreshold||
Number.MAX_VALUE)&&r(d.min)&&r(d.max)&&(!a||r(c.min)&&r(c.max))&&(!e||r(e.min)&&r(e.max))};m.prototype.destroyGraphics=function(){var a=this,b=this,c=this.points,d,e;if(c)for(e=0;e<c.length;e+=1)(d=c[e])&&d.destroyElements&&d.destroyElements();["graph","area","tracker"].forEach(function(a){b[a]&&(b[a]=b[a].destroy())});this.getZonesGraphs&&this.getZonesGraphs([["graph","highcharts-graph"]]).forEach(function(b){var c=a[b[0]];c&&(a[b[0]]=c.destroy())})};q.forEach(function(a){F[a]&&(F[a].boostThreshold=
5E3,F[a].boostData=[],n[a].prototype.fillOpacity=!0)})});t(b,"Extensions/Boost/NamedColors.js",[b["Core/Color/Color.js"]],function(b){var n={aliceblue:"#f0f8ff",antiquewhite:"#faebd7",aqua:"#00ffff",aquamarine:"#7fffd4",azure:"#f0ffff",beige:"#f5f5dc",bisque:"#ffe4c4",black:"#000000",blanchedalmond:"#ffebcd",blue:"#0000ff",blueviolet:"#8a2be2",brown:"#a52a2a",burlywood:"#deb887",cadetblue:"#5f9ea0",chartreuse:"#7fff00",chocolate:"#d2691e",coral:"#ff7f50",cornflowerblue:"#6495ed",cornsilk:"#fff8dc",
crimson:"#dc143c",cyan:"#00ffff",darkblue:"#00008b",darkcyan:"#008b8b",darkgoldenrod:"#b8860b",darkgray:"#a9a9a9",darkgreen:"#006400",darkkhaki:"#bdb76b",darkmagenta:"#8b008b",darkolivegreen:"#556b2f",darkorange:"#ff8c00",darkorchid:"#9932cc",darkred:"#8b0000",darksalmon:"#e9967a",darkseagreen:"#8fbc8f",darkslateblue:"#483d8b",darkslategray:"#2f4f4f",darkturquoise:"#00ced1",darkviolet:"#9400d3",deeppink:"#ff1493",deepskyblue:"#00bfff",dimgray:"#696969",dodgerblue:"#1e90ff",feldspar:"#d19275",firebrick:"#b22222",
floralwhite:"#fffaf0",forestgreen:"#228b22",fuchsia:"#ff00ff",gainsboro:"#dcdcdc",ghostwhite:"#f8f8ff",gold:"#ffd700",goldenrod:"#daa520",gray:"#808080",green:"#008000",greenyellow:"#adff2f",honeydew:"#f0fff0",hotpink:"#ff69b4",indianred:"#cd5c5c",indigo:"#4b0082",ivory:"#fffff0",khaki:"#f0e68c",lavender:"#e6e6fa",lavenderblush:"#fff0f5",lawngreen:"#7cfc00",lemonchiffon:"#fffacd",lightblue:"#add8e6",lightcoral:"#f08080",lightcyan:"#e0ffff",lightgoldenrodyellow:"#fafad2",lightgrey:"#d3d3d3",lightgreen:"#90ee90",
lightpink:"#ffb6c1",lightsalmon:"#ffa07a",lightseagreen:"#20b2aa",lightskyblue:"#87cefa",lightslateblue:"#8470ff",lightslategray:"#778899",lightsteelblue:"#b0c4de",lightyellow:"#ffffe0",lime:"#00ff00",limegreen:"#32cd32",linen:"#faf0e6",magenta:"#ff00ff",maroon:"#800000",mediumaquamarine:"#66cdaa",mediumblue:"#0000cd",mediumorchid:"#ba55d3",mediumpurple:"#9370d8",mediumseagreen:"#3cb371",mediumslateblue:"#7b68ee",mediumspringgreen:"#00fa9a",mediumturquoise:"#48d1cc",mediumvioletred:"#c71585",midnightblue:"#191970",
mintcream:"#f5fffa",mistyrose:"#ffe4e1",moccasin:"#ffe4b5",navajowhite:"#ffdead",navy:"#000080",oldlace:"#fdf5e6",olive:"#808000",olivedrab:"#6b8e23",orange:"#ffa500",orangered:"#ff4500",orchid:"#da70d6",palegoldenrod:"#eee8aa",palegreen:"#98fb98",paleturquoise:"#afeeee",palevioletred:"#d87093",papayawhip:"#ffefd5",peachpuff:"#ffdab9",peru:"#cd853f",pink:"#ffc0cb",plum:"#dda0dd",powderblue:"#b0e0e6",purple:"#800080",red:"#ff0000",rosybrown:"#bc8f8f",royalblue:"#4169e1",saddlebrown:"#8b4513",salmon:"#fa8072",
sandybrown:"#f4a460",seagreen:"#2e8b57",seashell:"#fff5ee",sienna:"#a0522d",silver:"#c0c0c0",skyblue:"#87ceeb",slateblue:"#6a5acd",slategray:"#708090",snow:"#fffafa",springgreen:"#00ff7f",steelblue:"#4682b4",tan:"#d2b48c",teal:"#008080",thistle:"#d8bfd8",tomato:"#ff6347",turquoise:"#40e0d0",violet:"#ee82ee",violetred:"#d02090",wheat:"#f5deb3",white:"#ffffff",whitesmoke:"#f5f5f5",yellow:"#ffff00",yellowgreen:"#9acd32"};return b.names=n});t(b,"Extensions/Boost/Boost.js",[b["Extensions/Boost/BoostUtils.js"],
b["Extensions/Boost/BoostInit.js"],b["Extensions/BoostCanvas.js"],b["Core/Utilities.js"]],function(b,t,A,m){m=m.error;b=b.hasWebGLSupport;b()?t():"undefined"!==typeof A?A():m(26)});t(b,"masters/modules/boost.src.js",[],function(){})});
//# sourceMappingURL=boost.js.map